> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cald.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a Campaign

> Cancel a specific campaign

<Warning>This will cancel a campaign and cancel all scheduled calls, however, it will not cancel any calls that are currently in progress.</Warning>


## OpenAPI

````yaml PUT /campaigns/{campaignId}/cancel
openapi: 3.0.1
info:
  title: AI Phone Call Service API
  description: >-
    API for managing AI-based phone calls, including call initiation and result
    retrieval.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://my.cald.ai/client/api/v1
security:
  - apiKeyAuth: []
paths:
  /campaigns/{campaignId}/cancel:
    put:
      description: Cancel a specific campaign
      parameters:
        - name: campaignId
          in: path
          description: The campaign ID of the campaign
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success response with campaign details
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      Whether the campaign was successfully cancelled, can be
                      either `success` or `failed`
        '404':
          description: Campaign not found
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Your API key, e.g. `caldLiveDe39a3accb206dd615f30d118e519df0`

````